--- loader/Makefile.orig	Mon Mar 10 17:21:18 2003
+++ loader/Makefile	Mon Aug 11 11:32:05 2003
@@ -17,7 +17,7 @@
 # Note: -D_FILE_OFFSET_BITS=32 is required to disable using mmap64(),
 # as it's broken in glibc 2.1.2 (bad header) and 2.1.3 (bad code)
 WARN_FLAGS = 
-CFLAGS=-I. -I.. $(OPTFLAGS) -U_FILE_OFFSET_BITS $(EXTRA_INC) $(WARN_FLAGS) -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer
+CFLAGS=-I. -I.. $(OPTFLAGS) -U_FILE_OFFSET_BITS $(EXTRA_INC) $(WARN_FLAGS) -fno-omit-frame-pointer
 #CFLAGS=-I. -I.. -O $(WARN_FLAGS) -g #-fno-omit-frame-pointer
 
 all: libloader.a
Index: libmpcodecs/Makefile
--- libmpcodecs/Makefile.orig	2004-12-29 20:51:56 +0100
+++ libmpcodecs/Makefile	2005-07-09 09:05:17 +0200
@@ -21,7 +21,7 @@
 
 ENCODER_SRCS=ve.c ve_divx4.c ve_lavc.c ve_vfw.c ve_raw.c ve_libdv.c ve_xvid.c ve_xvid4.c ve_qtvideo.c ve_nuv.c ve_x264.c
 
-NATIVE_SRCS=native/RTjpegN.c native/minilzo.c native/nuppelvideo.c native/xa_gsm.c native/decode144.c native/decode288.c
+NATIVE_SRCS=native/RTjpegN.c native/nuppelvideo.c native/xa_gsm.c native/decode144.c native/decode288.c
 
 ifeq ($(FAME),yes)
 VFILTER_SRCS += vf_fame.c
Index: libmpcodecs/vd_lzo.c
--- libmpcodecs/vd_lzo.c.orig	2002-11-07 00:54:24 +0100
+++ libmpcodecs/vd_lzo.c	2005-07-19 09:33:33 +0200
@@ -10,9 +10,9 @@
 #include <lzo1x.h>
 #else
 #include "native/minilzo.h"
+#endif
 #define lzo_malloc malloc
 #define lzo_free free
-#endif
 
 #define MOD_NAME "DecLZO"
 
Index: libmpcodecs/native/nuppelvideo.c
--- libmpcodecs/native/nuppelvideo.c.orig	2005-03-03 11:19:56 +0100
+++ libmpcodecs/native/nuppelvideo.c	2005-07-19 09:45:17 +0200
@@ -19,7 +19,11 @@
 
 #include "libmpdemux/nuppelvideo.h" 
 #include "RTjpegN.h"
+#ifdef USE_LIBLZO
+#include <lzo1x.h>
+#else
 #include "minilzo.h"
+#endif
 
 #define KEEP_BUFFER
 
Index: libmpcodecs/ve_nuv.c
--- libmpcodecs/ve_nuv.c.orig	2005-03-03 11:19:56 +0100
+++ libmpcodecs/ve_nuv.c	2005-07-19 09:51:16 +0200
@@ -19,7 +19,11 @@
 #include "vf.h"
 
 #include "libmpdemux/nuppelvideo.h"
+#ifdef USE_LIBLZO
+#include <lzo1x.h>
+#else
 #include "native/minilzo.h"
+#endif
 #include "native/RTjpegN.h"
 
 #define LZO_AL(size) (((size) + (sizeof(long) - 1)) / sizeof(long))
